<form name="editForm" role="form" novalidate (ngSubmit)="save()" #editForm="ngForm">

    <div class="modal-header">
        <h6 class="modal-title" id="myUomConversionLabel" jhiTranslate="mpmApp.uomConversion.home.createOrEditLabel">Create or edit a Uom Conversion</h6>
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true" (click)="clear()">&times;</button>
    </div>
    <div class="card-deck" style="margin: 10px;">
        <div class="card">
			<div class="card-body">
                <jhi-alert-error></jhi-alert-error>
                <div class="form-group" [hidden]="!uomConversion.idUomConversion">
                    <label for="id" jhiTranslate="global.field.id">ID</label>
                    <input type="text" class="form-control" id="id" name="id" [(ngModel)]="uomConversion.idUomConversion" readonly />
                </div>
                <div class="form-group">
                    <label class="form-control-label" jhiTranslate="mpmApp.uomConversion.factor" for="field_factor">Factor</label>
                    <input currencyMask class="form-control" name="factor" id="field_factor"
                        [(ngModel)]="uomConversion.factor"
                        [options]="{ prefix: '', thousands: '.', decimal: ',', precision: '4' }"
                         />
                </div>

                <div class="form-group" *ngIf="idUomTo === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.uomConversion.uomTo" for="field_uomTo">Uom To</label>
                    <select class="form-control" id="field_uomTo" name="uomTo" [(ngModel)]="uomConversion.uomToId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="uomOption.idUom" *ngFor="let uomOption of uoms; trackBy: trackUomById">{{uomOption.description}}</option>
                    </select>
                </div>
                <div class="form-group" *ngIf="idUomFrom === undefined">
                    <label class="form-control-label" jhiTranslate="mpmApp.uomConversion.uomFrom" for="field_uomFrom">Uom From</label>
                    <select class="form-control" id="field_uomFrom" name="uomFrom" [(ngModel)]="uomConversion.uomFromId" >
                        <option [ngValue]="null"></option>
                        <option [ngValue]="uomOption.idUom" *ngFor="let uomOption of uoms; trackBy: trackUomById">{{uomOption.description}}</option>
                    </select>
                </div>
            </div>
        </div>
    </div>
    <div class="modal-footer">
        <button pButton type="button" data-dismiss="modal" (click)="clear()"
            label="{{'entity.action.cancel' | translate}}"
            icon="fa-ban"
            class="ui-button-danger flat-label-button">
        </button>
        <button pButton type="submit" [disabled]="editForm.form.invalid || isSaving"
            label="{{'entity.action.save' | translate}}"
            icon="fa-save"
            class="ui-button-primary flat-label-button">
        </button>
    </div>
</form>
